import javax.naming.Context;
import javax.naming.NamingException;

import com.icare.sample.ejb.HelloSLSB;
import com.icare.sample.ejb.business.Hello;


public class EJBApplicationClient {
	
	public static void main(String args[]){
		System.out.println("client main method callled");
		EJBApplicationClient.doLookup();
	}
	
    private static void doLookup() {
        Context context = null;
        Hello bean =null;
        
        try {
            // 1. Obtaining Context
            context = ClientUtility.getInitialContext();
            // 2. Generate JNDI Lookup name
            String lookupName = getLookupName();
            System.out.println("lookupName:"+lookupName);
            // 3. Lookup and cast
            bean = (Hello) context.lookup(lookupName);
            System.out.println("context established");
            bean.testService();
 
        } catch (NamingException e) {
            System.out.println(e.getMessage());
        }
        
    }
    
    private static String getLookupName() {
/*
The app name is the EAR name of the deployed EJB without .ear suffix.
Since we haven't deployed the application as a .ear,
the app name for us will be an empty string
*/
        String appName = "";
 
        /* The module name is the JAR name of the deployed EJB
        without the .jar suffix.
        */
        String moduleName = "TestOSGI";
 
/*AS7 allows each deployment to have an (optional) distinct name.
This can be an empty string if distinct name is not specified.
*/
        String distinctName = "";
 
        // The EJB bean implementation class name
        String beanName = HelloSLSB.class.getSimpleName();
 
        // Fully qualified remote interface name
        final String interfaceName = Hello.class.getName();
 
        // Create a look up string name
        
        String name = "ejb:" + appName + "/" + moduleName + "/" +
            distinctName    + "/" + beanName + "!" + interfaceName;
        //name="java:app/TestOSGI/HelloSLSB!com.icare.sample.ejb.business.Hello";
        return name;
    }
}


